package com.pcloud.book.group.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/10/28 12:03
 **/
public class PushBookGroupUpdate extends BaseEntity {
    private static final long serialVersionUID = 6491519885230909700L;

    @ApiModelProperty("社群书id")
    private Long bookGroupId;

    @ApiModelProperty("用户微信id")
    private String wxUserId;

    @ApiModelProperty("机器人id")
    private String altId;

    @ApiModelProperty("是否已推送")
    private Boolean isPush;


    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId;
    }

    public String getAltId() {
        return altId;
    }

    public void setAltId(String altId) {
        this.altId = altId;
    }

    public Boolean getIsPush() {
        return isPush;
    }

    public void setIsPush(Boolean isPush) {
        this.isPush = isPush;
    }

    @Override
    public String toString() {
        return "PushBookGroupUpdate{" +
                "bookGroupId=" + bookGroupId +
                ", wxUserId='" + wxUserId + '\'' +
                ", altId='" + altId + '\'' +
                ", isPush=" + isPush +
                "} " + super.toString();
    }
}
